unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, HyperParse;

type
  TForm1 = class(TForm)
    BrowseBtn: TButton;
    OpenDialog: TOpenDialog;
    Button1: TButton;
    FileBox: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure BrowseBtnClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BrowseBtnClick(Sender: TObject);
begin
  if OpenDialog.Execute = true then
    FileBox.Text := OpenDialog.FileName;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
Parser: THyperParse;
x,i, j: integer;
dolist:tstringlist;
begin
dolist:=tstringlist.create;


for x:=1 to 100000 do
begin
Parser := THyperParse.Create;
Parser.FileName := FileBox.Text;
dolist.clear;
label2.caption:=inttostr(x); {just a label I stuck in to show iterations.}
Parser.Execute;
for i := 0 to Parser.Count - 1 do
begin
if Parser[i].IsTag = true then // Parser is an HTML tag
begin
dolist.add('TAG: ' + Parser[i].TagName);
for j := 0 to Parser[i].ParamCount - 1 do
dolist.Add(' Params[' + IntToStr(j) + ']: ' + Parser[i].Params[j].Param);
end else // Parser is plain text (not a tag)
begin
dolist.Add('TXT: ' + Parser[i].Text);
end;
end;

Parser.Free;
end;
dolist.free;
 close;
end;

end.
